Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class ThreadPool

    java.lang.Object
      php.java.bridge.BaseThreadPool
          php.java.bridge.ThreadPool

    public class ThreadPool

extends BaseThreadPool

A thread pool, accepts runnables and runs them in a thread environment. Example:
`ThreadPool pool = new ThreadPool("MyThreadPool", 20);
pool.start(new YourRunnable());
`

Constructor Summary
`ThreadPool(java.lang.String name, int poolMaxSize)` Creates a new thread pool.
`ThreadPool(java.lang.String name, int poolMaxSize, java.lang.ClassLoader loader)` Creates a new thread pool.

Method Summary

Methods inherited from class php.java.bridge.BaseThreadPool
`start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPool

    public ThreadPool(java.lang.String name,
                      int poolMaxSize)

  Creates a new thread pool.

  Parameters:
    `name` - - The name of the pool threads.
    `poolMaxSize` - - The max. number of threads, must be >= 1.

### ThreadPool

    public ThreadPool(java.lang.String name,
                      int poolMaxSize,
                      java.lang.ClassLoader loader)

  Creates a new thread pool.

  Parameters:
    `name` - The name of the pool threads.
    `poolMaxSize` - The max. number of threads, must be >= 1.
    `loader` - The class loader, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD